Package com.independentsoft.office.spreadsheet.revisions

# Class NewCellData

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.NewCellData

public class NewCellData extends Object
The Class NewCellData.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewCellData()`
  Instantiates a new new cell data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NewCellData`
  `clone()`
  `CellType`
  `getCellType()`
  Gets the cell type.
  `Formula`
  `getFormula()`
  Gets the formula.
  `int`
  `getMetadataIndex()`
  Gets the metadata index.
  `String`
  `getReference()`
  Gets the reference.
  `RichTextInline`
  `getRichTextInline()`
  Gets the rich text inline.
  `int`
  `getStyleIndex()`
  Gets the style index.
  `String`
  `getValue()`
  Gets the value.
  `int`
  `getValueMetadataIndex()`
  Gets the value metadata index.
  `boolean`
  `isShowPhonetic()`
  Checks if is show phonetic.
  `void`
  `setCellType​(CellType cellType)`
  Sets the cell type.
  `void`
  `setFormula​(Formula formula)`
  Sets the formula.
  `void`
  `setMetadataIndex​(int metadataIndex)`
  Sets the metadata index.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setRichTextInline​(RichTextInline richTextInline)`
  Sets the rich text inline.
  `void`
  `setShowPhonetic​(boolean showPhonetic)`
  Sets the show phonetic.
  `void`
  `setStyleIndex​(int styleIndex)`
  Sets the style index.
  `void`
  `setValue​(String value)`
  Sets the value.
  `void`
  `setValueMetadataIndex​(int valueMetadataIndex)`
  Sets the value metadata index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NewCellData

    public NewCellData()
    Instantiates a new new cell data.

- ## Method Details

  - ### clone

    public NewCellData clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormula

    public Formula getFormula()
    Gets the formula.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(Formula formula)
    Sets the formula.
    Parameters:
      `formula` - the new formula

  - ### getRichTextInline

    public RichTextInline getRichTextInline()
    Gets the rich text inline.
    Returns:
      the rich text inline

  - ### setRichTextInline

    public void setRichTextInline​(RichTextInline richTextInline)
    Sets the rich text inline.
    Parameters:
      `richTextInline` - the new rich text inline

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getMetadataIndex

    public int getMetadataIndex()
    Gets the metadata index.
    Returns:
      the metadata index

  - ### setMetadataIndex

    public void setMetadataIndex​(int metadataIndex)
    Sets the metadata index.
    Parameters:
      `metadataIndex` - the new metadata index

  - ### isShowPhonetic

    public boolean isShowPhonetic()
    Checks if is show phonetic.
    Returns:
      true, if is show phonetic

  - ### setShowPhonetic

    public void setShowPhonetic​(boolean showPhonetic)
    Sets the show phonetic.
    Parameters:
      `showPhonetic` - the new show phonetic

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getStyleIndex

    public int getStyleIndex()
    Gets the style index.
    Returns:
      the style index

  - ### setStyleIndex

    public void setStyleIndex​(int styleIndex)
    Sets the style index.
    Parameters:
      `styleIndex` - the new style index

  - ### getCellType

    public CellType getCellType()
    Gets the cell type.
    Returns:
      the cell type

  - ### setCellType

    public void setCellType​(CellType cellType)
    Sets the cell type.
    Parameters:
      `cellType` - the new cell type

  - ### getValueMetadataIndex

    public int getValueMetadataIndex()
    Gets the value metadata index.
    Returns:
      the value metadata index

  - ### setValueMetadataIndex

    public void setValueMetadataIndex​(int valueMetadataIndex)
    Sets the value metadata index.
    Parameters:
      `valueMetadataIndex` - the new value metadata index